Page MenuHomePhabricator

Remove excplicit header templates
Closed, ResolvedPublic2 Story Points

Description

The configuration contains keys for default-layout-templates which forces template names to be the same for all skins. This is some legacy code ported over from the old application and should be removed. Including the header and footer templates should be moved to Twig. To make it configurable inside twig, use blocks.

AC:

  • template name configuration is removed from config.dist.json and schema.json
  • Template name configuration is removed from Twig setup
  • Base layouts for 10h16 and cat17 use blocks with default includes instead of dynamically including templates

Event Timeline

Restricted Application added a project: WMDE-FUN-Team. · View Herald TranscriptJun 18 2018, 1:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Vvjjkkii renamed this task from Remove excplicit header templates to iqaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
A2093064 renamed this task from iqaaaaaaaa to Remove excplicit header templates.Jul 1 2018, 1:26 AM
A2093064 raised the priority of this task from High to Needs Triage.
A2093064 updated the task description. (Show Details)
A2093064 added a subscriber: Aklapper.
gabriel-wmde updated the task description. (Show Details)Jul 2 2018, 10:46 AM
gabriel-wmde updated the task description. (Show Details)Jul 2 2018, 10:54 AM
gabriel-wmde set the point value for this task to 2.
kai.nissen closed this task as Resolved.Aug 20 2018, 2:38 PM